<?php
/*======================================================================*\
|| #################################################################### ||
|| # Package - YJ Booking Module V3.0							        ||
|| # Copyright (C) 2010  Youjoomla.com. All Rights Reserved.            ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
defined( '_JEXEC' ) or die( 'Restricted access' );
		if(intval(JVERSION) >= 3 ){	
			$setClass = 'highv'; 
		}else{
			$setClass = 'lowv'; 
		}
?>
<!-- http://www.youjoomla.com YJ Booking 3.0 for Joomla 2.5, 3.0 and UP -->

<div id="yj_booking" class="<?php echo $setClass?>"> 
  <!-- reservation form begin -->
  <div class="clrs"></div>
  <form id="ReservationForm" name="yjbooking"  method="post" action="<?php echo $uri; ?>">
    <div class="yjformfields" style="width:<?php echo $parts_width ?>;">
      <div class="around">
        <fieldset class="destination_pack_legend">
          <div class="clrs"></div>
          <legend class="fieldset_title"><?php echo JText::_('DESTINATION_PACK_LEGEND') ?></legend>
          <label for="destination_pack" id="destination_pack_label"><?php echo JText::_('DESTINATION_PACK_LABEL') ?></label>
          <select name="destination_pack" id="destination_pack" >
            <?php $pvalue = isset($_POST['destination_pack'])?$_POST['destination_pack']:false; ?>
            <?php foreach ($yj_booking_ar as $book):?>
            <option value="<?php echo  $book['title'] ?>" <?php if ($book['title'] == $pvalue) echo 'selected="selected"';?>><?php echo  $book['title'] ?></option>
            <?php endforeach;?>
          </select>
        </fieldset>
      </div>
      <div class="around">
        <fieldset class="accommodation">
          <div class="clrs"></div>
          <legend class="fieldset_title"><span><?php echo JText::_('ACCOMODATION_LEGEND') ?></span></legend>
          <div class="floats">
            <label for="type_of_room" id="type_of_room_label"><?php echo JText::_('TYPE_OF_ROOM_LABEL') ?></label>
            <?php $pvalue = isset($_POST['type_of_room'])? $_POST['type_of_room']:false; ?>
            <select  name="type_of_room" id="type_of_room">
              <?php foreach($typeof_room_array as $room_type ) :?>
              <option value="<?php echo $room_type ?>" <?php if($pvalue == $room_type) echo 'selected="selected"';?>><?php echo $room_type ?></option>
              <?php endforeach; ?>
            </select>
          </div>
          <div class="floats">
            <label for="number_of_guests" id="number_of_guests_label"><?php echo JText::_('NUMBER_OF_GUESTS_LABEL') ?></label>
            <input type="text" name="number_of_guests" id="number_of_guests" size="3" maxlength="3" value="<?php if(isset($_POST['number_of_guests'])) echo htmlspecialchars(strip_tags($_POST['number_of_guests']));?>" class="validate['required','number']"  />
          </div>
        </fieldset>
      </div>
    </div>
    <div class="yjformfields" style="width:<?php echo $parts_width ?>;">
      <div class="around">
        <fieldset>
          <div class="clrs"></div>
          <legend class="fieldset_title"><span><?php echo JText::_('ARRIVAL_LEGEND') ?></span></legend>
          <label for="day_of_arrival" id="day_of_arrival_label"><?php echo JText::_('DAY_OF_ARRIVAL_LABEL') ?></label>
          <input name="day_of_arrival" id="day_of_arrival" type="text" value="" class="yjdatepick" />
        </fieldset>
      </div>
      <div class="around">
        <fieldset>
          <div class="clrs"></div>
          <legend class="fieldset_title"><span><?php echo JText::_('DEPARTURE_LEGEND') ?></span></legend>
          <label for="day_of_departure" id="day_of_departure_label"><?php echo JText::_('DAY_OF_DEPARTURE_LABEL') ?></label>
          <input name="day_of_departure" id="day_of_departure" type="text" value="" class="yjdatepick" />
        </fieldset>
      </div>
    </div>
    <div class="yjformfields" style="width:<?php echo $parts_width ?>;">
      <div class="around">
        <fieldset class="personal-data">
          <legend  class="fieldset_title"><span><?php echo JText::_('PERSONAL_INFO_LEGEND') ?></span></legend>
          <label for="first_name" id="first_name_label"><?php echo JText::_('FIRST_NAME_LABEL') ?></label>
          <input type="text"  name="first_name" id="first_name"  value="<?php if(isset($_POST['first_name'])) echo htmlspecialchars(strip_tags($_POST['first_name']));?>"   class="validate['required']" />
          <label for="surname" id="surname_label"><?php echo JText::_('SURNAME_LABEL') ?></label>
          <input type="text"  name="surname" id="surname" value="<?php if(isset($_POST['surname'])) echo htmlspecialchars(strip_tags($_POST['surname']));?>" class="validate['required']"  />
          <label for="email" id="email_label"><?php echo JText::_('EMAIL_LABEL') ?></label>
          <input type="text" name="email" id="email" value="<?php if(isset($_POST['email'])) echo htmlspecialchars(strip_tags($_POST['email']));?>" class="validate['required','email']"  />
          <label for="phone" id="phone_label"><?php echo JText::_('PHONE_LABEL') ?></label>
          <input type="text" name="phone" id="phone" value="<?php if(isset($_POST['phone'])) echo htmlspecialchars(strip_tags($_POST['phone']));?>"  class="validate['required','phone']" />
        </fieldset>
      </div>
    </div>
    <div class="yjformfields" style="width:<?php echo $parts_width ?>;">
      <div class="around">
        <fieldset class="personal-data">
          <legend class="fieldset_title"><span><?php echo JText::_('ADDITIONAL_INFO_LEGEND') ?></span></legend>
          <textarea name="additional_info" id="additional_info"><?php if(isset($_POST['additional_info'])) echo htmlspecialchars(strip_tags($_POST['additional_info']));?>
</textarea>
          <span class="spamlabel">
          <label><?php echo JText::_('CAPTCHA_LABEL'); ?> <?php echo $spamcheck_text; ?> = ?</label>
          </span>
          <input id="captcha_ver" class="validate['required','spamcheck']" type="text" size="5" name="spamcheck" />
          <div class="clrs"></div>
          <div class="form_butt">
            <div class="submits"> <span class="submit_button_fake"><?php echo JText::_('SUBMIT_BUTTON') ?></span>
              <input type="submit" name="salji" id="submit_button" onclick="checkHolder();" value="" />
            </div>
            <a id="reset_button" href="#" onclick="document.yjbooking.reset();return false;"><?php echo JText::_('RESET_BUTTON') ?></a> </div>
        </fieldset>
      </div>
    </div>
    <div class="display-none">
      <input type="hidden" name="sendyjbook"/>
      <noscript>
      <input name="js_is_disabled" type="hidden" value="1" />
      </noscript>
    </div>
    <?php echo JHTML::_( 'form.token' ); ?>
  </form>
</div>
<script type="text/javascript">
var yjbook_submit = '<?php echo JURI::base() ?>modules/mod_yj_booking/libs/ajax_validate.php';
</script> 
<!-- http://www.youjoomla.com YJ Booking 3.0 for Joomla 2.5 ends  here--> 