/*======================================================================*\
|| #################################################################### ||
|| # Package - YJ Booking v3									        ||
|| # Copyright (C) 2010  Youjoomla.com. All Rights Reserved.            ||
|| # Authors - Dragan Todorovic and Constantin Boiangiu                 ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
window.addEvent("load", function () {
    window.addEvent("domready", function () {
        loginFormCheck = new FormCheck("ReservationForm", {
            submit: false,
            submitByAjax: true,
            submitAction: yjbook_submit,
            submitMethod: "post",
            onAjaxRequest: onAjaxRequest,
            onAjaxComplete: onAjaxComplete,
            onAjaxSuccess: onAjaxSuccess,
            display: {
                errorsLocation: 1,
                indicateErrors: tips_indicateE,
                flashTips: tips_flashT,
                fadeDuration: tips_fade,
                scrollToFirst: tips_scroll,
                tipsPosition: tips_position
            }
        })
    })
});
function checkHolder() {
    var if_holder = $$("#send_responses");
    if (if_holder.length > 0) {
        if_holder.dispose()
    }
}
function onAjaxRequest() {
    checkHolder();
    var form_holder = $("yj_booking");
    var send_responses = new Element("div", {
        id: "send_responses"
    });
    send_responses.inject(form_holder, "top");
    var response_info = new Element("div", {
        id: "response_info"
    });
    var close_system_msg = new Element("div", {
        id: "close_system_msg"
    });
    var fxg = new Fx.Morph("send_responses", {
        duration: 1000,
        transition: Fx.Transitions.Quart.easeOut
    });
    send_responses.addClass("loading");
    $$("#send_responses").setStyles({
        borderRadius: fieldset_b_radius,
        WebkitBorderRadius: fieldset_b_radius,
        MozBorderRadius: fieldset_b_radius
    });
    fxg.start({
        height: 35
    });
    send_responses.adopt(response_info);
    response_info.set("html", response_info_mgs);
    send_responses.adopt(close_system_msg)
}
function onAjaxSuccess(response) {
    var send_responses = $("send_responses");
    var response_info = $("response_info");
    var json = JSON.decode(response);
    if (json.error) {
        $("send_responses").addClass("loadingerror");
        response_info.set("html", json.error)
    } else {
        var fxg = new Fx.Morph("send_responses", {
            duration: 1000,
            transition: Fx.Transitions.Quart.easeOut
        });
        send_responses.addClass("loadingdone");
        if (grow_response == 1) {
            fxg.start({
                height: full_response_height
            })
        }
        response_info.set("html", json.success)
    }
    $("ReservationForm").reset()
}
function onAjaxComplete() {
    $("close_system_msg").addEvent("click", function (event) {
        var fx = new Fx.Morph("send_responses", {
            duration: 1000,
            transition: Fx.Transitions.Quart.easeOut
        });
        event.stop();
        fx.start({
            height: 0,
            margin: 0,
            padding: 0,
            opacity: [1, 0.001]
        }).chain(function () {
            this.start.delay(1, this, {
                display: "none"
            });
            $("send_responses").dispose()
        })
    })
}
window.addEvent("load", function () {
    $$(".fieldset_title,.personal-data,.around").setStyles({
        borderRadius: fieldset_b_radius,
        WebkitBorderRadius: fieldset_b_radius,
        MozBorderRadius: fieldset_b_radius
    });
    $$(".around input,.around textarea").setStyles({
        borderRadius: input_b_radius,
        WebkitBorderRadius: input_b_radius,
        MozBorderRadius: input_b_radius,
        boxShadow: input_shadow,
        WebkitBoxShadow: input_shadow,
        MozBoxShadow: input_shadow
    });
    $$("#reset_button").setStyles({
        boxShadow: "none",
        WebkitBoxShadow: "none",
        MozBoxShadow: "none"
    })
});